Skip to main content
`Ctrl`+`K`

# NEPSetTrackAll

Specifies if the solver must compute the residual of all approximate eigenpairs or not.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSetTrackAll(NEP nep,PetscBool trackall)

Logically Collective

## Input Parameters

- nep - the nonlinear eigensolver context

- trackall - whether compute all residuals or not

## Notes

If the user sets `trackall`=`PETSC_TRUE` then the solver explicitly computes the residual for each eigenpair approximation. Computing the residual is usually an expensive operation and solvers commonly compute the associated residual to the first unconverged eigenpair.

The option `-nep_monitor_all` automatically activates this option.

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPGetTrackAll()`

## Level

developer

## Location

src/nep/interface/nepopts.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages